# Tourplaner: tourplaner.viewmodels.ViewModel Class Reference

tourplaner.viewmodels.ViewModel Class Reference

## Public Member Functions

Image | getImage (String tourname)
void | editTour () throws IOException
boolean | addTour ()
void | editLog ()
void | addLog ()
void | delLog ()
void | selectLog (String id)
Log | getSelectedLog ()
Log | getLog (String id)
ObservableList< Log > | getLogData ()
void | setSelectedTour (Tour selectedTour)
Tour | getTour (String tourname)
void | selectTour (String tourname)
Tour | getSelectedTour ()
String | getNeueTourZiel ()
void | setNeueTourZiel (String neueTourZiel)
ObservableList< String > | getTourNamen ()
String | getNeueTourName ()
void | setNeueTourName (String neueTourName)
String | getNeueTourStart ()
void | setNeueTourStart (String neueTourStart)
ObservableList< Tour > | getTourData ()
void | delTour ()
void | suche (String sucheInput)
boolean | isSucheAktiv ()
void | setSucheAktiv (boolean sucheAktiv)
void | gitWebBrowser ()
void | javaDocBrowser ()
void | doxygenDocBrowser ()
void | nimpButton ()
void | tourReport ()
void | exportData ()
void | importData ()
void | sumReport ()

## Member Function Documentation

## addLog()

void tourplaner.viewmodels.ViewModel.addLog | ( |  | ) |

Fügt einen Log eintrag zu einer Tour hinzu. Ist keine Tour ausgewählt, dann kommt eine Warnung an den User!

## addTour()

boolean tourplaner.viewmodels.ViewModel.addTour | ( |  | ) |

Fügt eine neue Tour hinzu

## delLog()

void tourplaner.viewmodels.ViewModel.delLog | ( |  | ) |

Entfernt ein Log anhand des selectierten Logs

## delTour()

void tourplaner.viewmodels.ViewModel.delTour | ( |  | ) |

Entfernt eine Tour anhand der ausgewählten Tour

## doxygenDocBrowser()

void tourplaner.viewmodels.ViewModel.doxygenDocBrowser | ( |  | ) |

Öffnet Doxygen Doc im standart browser

## editLog()

void tourplaner.viewmodels.ViewModel.editLog | ( |  | ) |

Bearbeitet einen gewählten Log eintrag

## editTour()

void tourplaner.viewmodels.ViewModel.editTour | ( |  | ) | throws IOException

Bearbeitet eine bereits bestehende Tour prüft ob eine tour ausgewählt ist

## exportData()

void tourplaner.viewmodels.ViewModel.exportData | ( |  | ) |

Exportiert alle daten in ein File das hier gewählt wird

## getImage()

Image tourplaner.viewmodels.ViewModel.getImage | ( | String | tourname | ) |

## getLog()

Log tourplaner.viewmodels.ViewModel.getLog | ( | String | id | ) |

Holt ein Log anhand seiner ID

Parameters

  id | Id des Log Eintrags

Returns
  Das gefundene Log

## getLogData()

ObservableList<Log> tourplaner.viewmodels.ViewModel.getLogData | ( |  | ) |

## getNeueTourName()

String tourplaner.viewmodels.ViewModel.getNeueTourName | ( |  | ) |

## getNeueTourStart()

String tourplaner.viewmodels.ViewModel.getNeueTourStart | ( |  | ) |

## getNeueTourZiel()

String tourplaner.viewmodels.ViewModel.getNeueTourZiel | ( |  | ) |

## getSelectedLog()

Log tourplaner.viewmodels.ViewModel.getSelectedLog | ( |  | ) |

Holt das selectierte Log als Log Objekt

Returns
  Das selectierte Log Objekt

## getSelectedTour()

Tour tourplaner.viewmodels.ViewModel.getSelectedTour | ( |  | ) |

## getTour()

Tour tourplaner.viewmodels.ViewModel.getTour | ( | String | tourname | ) |

Holt das Tourobjekt anhand des Namens

Parameters

  tourname | Name der Tour

Returns
  Gefundene Tour

## getTourData()

ObservableList<Tour> tourplaner.viewmodels.ViewModel.getTourData | ( |  | ) |

## getTourNamen()

ObservableList<String> tourplaner.viewmodels.ViewModel.getTourNamen | ( |  | ) |

## gitWebBrowser()

void tourplaner.viewmodels.ViewModel.gitWebBrowser | ( |  | ) |

Öffnet github im standart browser

## importData()

void tourplaner.viewmodels.ViewModel.importData | ( |  | ) |

Importiert alle daten von einem File das hier gewählt wird

## isSucheAktiv()

boolean tourplaner.viewmodels.ViewModel.isSucheAktiv | ( |  | ) |

## javaDocBrowser()

void tourplaner.viewmodels.ViewModel.javaDocBrowser | ( |  | ) |

Öffnet Java Doc im standart browser

## nimpButton()

void tourplaner.viewmodels.ViewModel.nimpButton | ( |  | ) |

Funktion für noch nicht implementierte sachen wie im Menu der 'Bearbeiten' und 'Optionen' Knopf

## selectLog()

void tourplaner.viewmodels.ViewModel.selectLog | ( | String | id | ) |

Selectiert ein Log anhand der Id

Parameters

  id | Id welche zu selectieren ist

## selectTour()

void tourplaner.viewmodels.ViewModel.selectTour | ( | String | tourname | ) |

Selectiert eine Tour anhand des eindeutigen Namens

Parameters

  tourname | Der Name der Tour

## setNeueTourName()

void tourplaner.viewmodels.ViewModel.setNeueTourName | ( | String | neueTourName | ) |

## setNeueTourStart()

void tourplaner.viewmodels.ViewModel.setNeueTourStart | ( | String | neueTourStart | ) |

## setNeueTourZiel()

void tourplaner.viewmodels.ViewModel.setNeueTourZiel | ( | String | neueTourZiel | ) |

## setSelectedTour()

void tourplaner.viewmodels.ViewModel.setSelectedTour | ( | Tour | selectedTour | ) |

## setSucheAktiv()

void tourplaner.viewmodels.ViewModel.setSucheAktiv | ( | boolean | sucheAktiv | ) |

## suche()

void tourplaner.viewmodels.ViewModel.suche | ( | String | sucheInput | ) |

Sucht eine Tour

Parameters

  sucheInput | Text nach dem gesucht werden soll

## sumReport()

void tourplaner.viewmodels.ViewModel.sumReport | ( |  | ) |

Erstellt einen Summary Report

## tourReport()

void tourplaner.viewmodels.ViewModel.tourReport | ( |  | ) |

Startet den Tour Report

The documentation for this class was generated from the following file:

- src/tourplaner/viewmodels/ViewModel.java